View a markdown version of this page

BatchGetThreats - AWS Security Agent

BatchGetThreats

Retrieves information about one or more threats.

Request Syntax

POST /BatchGetThreats HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "threatIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

threatIds

The list of threat identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "notFound": [ "string" ], "threats": [ { "anchor": { "id": "string", "kind": "string", "packageId": "string" }, "comments": "string", "createdAt": "string", "createdBy": "string", "evidence": [ { "packageId": "string", "path": "string" } ], "impactedAssets": [ "string" ], "impactedGoal": [ "string" ], "prerequisites": "string", "recommendation": "string", "severity": "string", "statement": "string", "status": "string", "stride": [ "string" ], "threatAction": "string", "threatId": "string", "threatImpact": "string", "threatJobId": "string", "threatSource": "string", "title": "string", "updatedAt": "string", "updatedBy": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

notFound

The list of threat identifiers that were not found.

Type: Array of strings

threats

The list of threats that were found.

Type: Array of Threat objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: